summary refs log tree commit diff
path: root/x11-apps
diff options
context:
space:
mode:
authorAzat Bahawi <azahi@teknik.io>2020-11-22 14:04:47 +0300
committerAzat Bahawi <azahi@teknik.io>2020-11-22 14:06:28 +0300
commit45c51706cbb5975a86580784308d043249db79fa (patch)
tree6afd5ebc504d80360ea61dcc05e825912c0d754f /x11-apps
parentx11-misc/stw: Add package (diff)
x11-apps/sxinit: Add package
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Azat Bahawi <azahi@teknik.io>
Diffstat (limited to 'x11-apps')
-rw-r--r--x11-apps/sxinit/metadata.xml11
-rw-r--r--x11-apps/sxinit/sxinit-9999.ebuild47
2 files changed, 58 insertions, 0 deletions
diff --git a/x11-apps/sxinit/metadata.xml b/x11-apps/sxinit/metadata.xml
new file mode 100644
index 0000000..2c331be
--- /dev/null
+++ b/x11-apps/sxinit/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>azahi@teknik.io</email>
+		<name>azahi</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">sineemore/sxinit</remote-id>
+	</upstream>
+</pkgmetadata>
diff --git a/x11-apps/sxinit/sxinit-9999.ebuild b/x11-apps/sxinit/sxinit-9999.ebuild
new file mode 100644
index 0000000..cd85918
--- /dev/null
+++ b/x11-apps/sxinit/sxinit-9999.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/sineemore/sxinit.git"
+fi
+
+inherit toolchain-funcs "${SCM}"
+
+DESCRIPTION="Simple xinit alternative"
+HOMEPAGE="https://github.com/sineemore/sxinit"
+
+if [[ ${PV} == *9999 ]]; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/sineemore/sxinit/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+	x11-base/xorg-server[xorg]
+"
+BDEPEND=""
+
+src_prepare() {
+	default
+
+	sed -e 's/ =/ ?=/g' -i Makefile || die
+}
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)"
+}
+
+src_install() {
+	dobin ${PN}
+}

Consider giving Nix/NixOS a try! <3